API
Telegram API
The AI-powered Telegram provides 360° Global Media Data & Intelligence on Telegram channel operators, community managers, news distributors, and messaging platform teams.
Documentation API Version: 1.0.0 2 Endpoints Authentification
URL de base
https://pressmonitor.co.in/api Authentification
Toutes les requetes necessitent les en-tetes x-api-key et x-subscription-id. x-api-key authentifie votre compte ; x-subscription-id selectionne le service souscrit.
x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/telegram_channel Telegram Chaîne
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| channel | string | query | Oui | Nom de la chaîne |
Exemples de code
curl -X GET \
"https://pressmonitor.co.in/api/telegram_channel?channel=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Réponses
200 Succès
GET
/telegram_messages Telegram Messages
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| channel | string | query | Oui | Nom de la chaîne |
| limit | integer | query | Non | Nombre de résultats |
Exemples de code
curl -X GET \
"https://pressmonitor.co.in/api/telegram_messages?channel=VALUE&limit=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Réponses
200 Succès
